"""
Є дікт, невідомого наповнення. В дікті присутні ключі, занченням для яких є дікти невідомого наповнення в яких можуть
бути аналогічні вкладені дікти. Напишіть функцію, яка дістане всі ключі зі значеннями не-діктами з усіх рівнів вкладення,
помістить на один рівень в окремий дікт і поверне цей дікт.
Напишіть докстрінг для цієї функці.
"""

def get_keys(d):
    """
    Функция возвращает словарь со всеми ключами из словаря с вложенными словарями.
    """
    result = {}
    for key, value in d.items():
        if type(value) == dict:
            result.update(get_keys(value))
        else:
            result[key] = value
    return result

print(get_keys({'all': 45, 'B': {'C': 566, 'D': {'V': 8,}}))